package com.mortals.xhx.module.gocome.model;

import java.util.List;
import com.mortals.xhx.module.gocome.model.GocomeRecordEntity;
/**
* 来往记录查询对象
*
* @author zxfei
* @date 2023-05-22
*/
public class GocomeRecordQuery extends GocomeRecordEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 用户名称 */
    private List<String> userNameList;

    /** 用户名称排除列表 */
    private List <String> userNameNotList;
    /** 电话 */
    private List<String> phoneList;

    /** 电话排除列表 */
    private List <String> phoneNotList;
    /** 所属部门 */
    private List<String> deptNameList;

    /** 所属部门排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属房间ID */
    private Long roomIdStart;

    /** 结束 所属房间ID */
    private Long roomIdEnd;

    /** 增加 所属房间ID */
    private Long roomIdIncrement;

    /** 所属房间ID列表 */
    private List <Long> roomIdList;

    /** 所属房间ID排除列表 */
    private List <Long> roomIdNotList;

    /** 所属房间名称 */
    private List<String> roomNameList;

    /** 所属房间名称排除列表 */
    private List <String> roomNameNotList;
    /** 修改前状态 */
    private List<String> beforeStatusList;

    /** 修改前状态排除列表 */
    private List <String> beforeStatusNotList;
    /** 修改后状态 */
    private List<String> afterStatusList;

    /** 修改后状态排除列表 */
    private List <String> afterStatusNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<GocomeRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<GocomeRecordQuery> andConditionList;

    public GocomeRecordQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 用户名称
    * @return userNameList
    */
    public List<String> getUserNameList(){
        return this.userNameList;
    }

    /**
    * 设置 用户名称
    * @param userNameList
    */
    public void setUserNameList(List<String> userNameList){
        this.userNameList = userNameList;
    }

    /**
    * 获取 用户名称
    * @return userNameNotList
    */
    public List<String> getUserNameNotList(){
        return this.userNameNotList;
    }

    /**
    * 设置 用户名称
    * @param userNameNotList
    */
    public void setUserNameNotList(List<String> userNameNotList){
        this.userNameNotList = userNameNotList;
    }

    /**
    * 获取 电话
    * @return phoneList
    */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
    * 设置 电话
    * @param phoneList
    */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
    * 获取 电话
    * @return phoneNotList
    */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
    * 设置 电话
    * @param phoneNotList
    */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
    * 获取 所属部门
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 所属房间ID
    * @return roomIdStart
    */
    public Long getRoomIdStart(){
        return this.roomIdStart;
    }

    /**
    * 设置 开始 所属房间ID
    * @param roomIdStart
    */
    public void setRoomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
    }

    /**
    * 获取 结束 所属房间ID
    * @return $roomIdEnd
    */
    public Long getRoomIdEnd(){
        return this.roomIdEnd;
    }

    /**
    * 设置 结束 所属房间ID
    * @param roomIdEnd
    */
    public void setRoomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
    }

    /**
    * 获取 增加 所属房间ID
    * @return roomIdIncrement
    */
    public Long getRoomIdIncrement(){
        return this.roomIdIncrement;
    }

    /**
    * 设置 增加 所属房间ID
    * @param roomIdIncrement
    */
    public void setRoomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
    }

    /**
    * 获取 所属房间ID
    * @return roomIdList
    */
    public List<Long> getRoomIdList(){
        return this.roomIdList;
    }

    /**
    * 设置 所属房间ID
    * @param roomIdList
    */
    public void setRoomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
    }

    /**
    * 获取 所属房间ID
    * @return roomIdNotList
    */
    public List<Long> getRoomIdNotList(){
        return this.roomIdNotList;
    }

    /**
    * 设置 所属房间ID
    * @param roomIdNotList
    */
    public void setRoomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
    }


    /**
    * 获取 所属房间名称
    * @return roomNameList
    */
    public List<String> getRoomNameList(){
        return this.roomNameList;
    }

    /**
    * 设置 所属房间名称
    * @param roomNameList
    */
    public void setRoomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
    }

    /**
    * 获取 所属房间名称
    * @return roomNameNotList
    */
    public List<String> getRoomNameNotList(){
        return this.roomNameNotList;
    }

    /**
    * 设置 所属房间名称
    * @param roomNameNotList
    */
    public void setRoomNameNotList(List<String> roomNameNotList){
        this.roomNameNotList = roomNameNotList;
    }

    /**
    * 获取 修改前状态
    * @return beforeStatusList
    */
    public List<String> getBeforeStatusList(){
        return this.beforeStatusList;
    }

    /**
    * 设置 修改前状态
    * @param beforeStatusList
    */
    public void setBeforeStatusList(List<String> beforeStatusList){
        this.beforeStatusList = beforeStatusList;
    }

    /**
    * 获取 修改前状态
    * @return beforeStatusNotList
    */
    public List<String> getBeforeStatusNotList(){
        return this.beforeStatusNotList;
    }

    /**
    * 设置 修改前状态
    * @param beforeStatusNotList
    */
    public void setBeforeStatusNotList(List<String> beforeStatusNotList){
        this.beforeStatusNotList = beforeStatusNotList;
    }

    /**
    * 获取 修改后状态
    * @return afterStatusList
    */
    public List<String> getAfterStatusList(){
        return this.afterStatusList;
    }

    /**
    * 设置 修改后状态
    * @param afterStatusList
    */
    public void setAfterStatusList(List<String> afterStatusList){
        this.afterStatusList = afterStatusList;
    }

    /**
    * 获取 修改后状态
    * @return afterStatusNotList
    */
    public List<String> getAfterStatusNotList(){
        return this.afterStatusNotList;
    }

    /**
    * 设置 修改后状态
    * @param afterStatusNotList
    */
    public void setAfterStatusNotList(List<String> afterStatusNotList){
        this.afterStatusNotList = afterStatusNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public GocomeRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public GocomeRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public GocomeRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public GocomeRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public GocomeRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public GocomeRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 用户名称
    * @param userName
    */
    public GocomeRecordQuery userName(String userName){
        setUserName(userName);
		return this;
    }

    /**
    * 设置 用户名称
    * @param userNameList
    */
    public GocomeRecordQuery userNameList(List<String> userNameList){
        this.userNameList = userNameList;
		return this;
    }


	/**
    * 设置 电话
    * @param phone
    */
    public GocomeRecordQuery phone(String phone){
        setPhone(phone);
		return this;
    }

    /**
    * 设置 电话
    * @param phoneList
    */
    public GocomeRecordQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
		return this;
    }


	/**
    * 设置 所属部门
    * @param deptName
    */
    public GocomeRecordQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptNameList
    */
    public GocomeRecordQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  所属房间ID
    * @param roomId
    */
    public GocomeRecordQuery roomId(Long roomId){
	    setRoomId(roomId);
		return this;
    }
	
	 /**
    * 设置 开始 所属房间ID
    * @param roomIdStart
    */
    public GocomeRecordQuery roomIdStart(Long roomIdStart){
		this.roomIdStart = roomIdStart;
		return this;
    }

    /**
    * 设置 结束 所属房间ID
    * @param roomIdEnd
    */
    public GocomeRecordQuery roomIdEnd(Long roomIdEnd){
		this.roomIdEnd = roomIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属房间ID
    * @param roomIdIncrement
    */
    public GocomeRecordQuery roomIdIncrement(Long roomIdIncrement){
		this.roomIdIncrement = roomIdIncrement;
		return this;
    }

    /**
    * 设置 所属房间ID
    * @param roomIdList
    */
    public GocomeRecordQuery roomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
		return this;
        }

        /**
        * 设置 所属房间ID
        * @param roomIdNotList
        */
        public GocomeRecordQuery roomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
        return this;
        }


	/**
    * 设置 所属房间名称
    * @param roomName
    */
    public GocomeRecordQuery roomName(String roomName){
        setRoomName(roomName);
		return this;
    }

    /**
    * 设置 所属房间名称
    * @param roomNameList
    */
    public GocomeRecordQuery roomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
		return this;
    }


	/**
    * 设置 修改前状态
    * @param beforeStatus
    */
    public GocomeRecordQuery beforeStatus(String beforeStatus){
        setBeforeStatus(beforeStatus);
		return this;
    }

    /**
    * 设置 修改前状态
    * @param beforeStatusList
    */
    public GocomeRecordQuery beforeStatusList(List<String> beforeStatusList){
        this.beforeStatusList = beforeStatusList;
		return this;
    }


	/**
    * 设置 修改后状态
    * @param afterStatus
    */
    public GocomeRecordQuery afterStatus(String afterStatus){
        setAfterStatus(afterStatus);
		return this;
    }

    /**
    * 设置 修改后状态
    * @param afterStatusList
    */
    public GocomeRecordQuery afterStatusList(List<String> afterStatusList){
        this.afterStatusList = afterStatusList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public GocomeRecordQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public GocomeRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public GocomeRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public GocomeRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public GocomeRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public GocomeRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public GocomeRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public GocomeRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public GocomeRecordQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public GocomeRecordQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public GocomeRecordQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public GocomeRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public GocomeRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public GocomeRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<GocomeRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<GocomeRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<GocomeRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<GocomeRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}